import React, {Component} from 'react'
import { withRouter } from 'react-router-dom'
import { ConfigProvider } from 'antd'
import enUS from 'antd/es/locale/en_US'
import zhCN from 'antd/es/locale/zh_CN'

import Header from './header'
import { setGLOBFuncs } from '@/utils/utils.js'
import Sidemenu from './sidemenu'

import '@/assets/css/design.scss'
import './index.scss'

const _locale = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class Design extends Component {
  componentDidMount() {
    if (sessionStorage.getItem('isEditState') === 'true') {
      sessionStorage.removeItem('isEditState')
      this.props.history.replace('/main')
      window.location.reload()
    } else {
      sessionStorage.setItem('isEditState', 'true')
      window.GLOB.breakpoint = false
      window.GLOB.designView = true
      sessionStorage.removeItem('breakpoint')
      setGLOBFuncs()
    }
  }
  
  render () {
    return (
      <div className={'mk-main-view ' + (window.GLOB.systemType || '')}>
        <ConfigProvider locale={_locale}>
          <Sidemenu key="sidemenu"/>
          <Header key="header"/>
        </ConfigProvider>
      </div>
    )
  }
}

export default withRouter(Design)